Results 1 to 7 of 7

Thread: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

  1. #1

    Default openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    G'day folks,

    This update fails to install on my machine with the following error :

    samba-libs-4.6.7+git.38.90b2cdb4f22-3.1.x86_64 requires libpytalloc-util.so.2(PYTALLOC_UTIL_2.1.9)(64bit), but this requirement cannot be provided


    When I open YAST and look at my installed software it appears that I have pytalloc_util_2.1.6-1.4 installed.

    Can someone please tell me how I go about having pytalloc_utill_2.1.9 installed so I can meet the requirements of this patch?

    Cheers!

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,529
    Blog Entries
    15

    Default Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by GiddyGopher View Post
    G'day folks,

    This update fails to install on my machine with the following error :

    samba-libs-4.6.7+git.38.90b2cdb4f22-3.1.x86_64 requires libpytalloc-util.so.2(PYTALLOC_UTIL_2.1.9)(64bit), but this requirement cannot be provided


    When I open YAST and look at my installed software it appears that I have pytalloc_util_2.1.6-1.4 installed.

    Can someone please tell me how I go about having pytalloc_utill_2.1.9 installed so I can meet the requirements of this patch?

    Cheers!
    Hi and welcome to the Forum

    Use zypper and the command line..
    Code:
    zypper -vvv ref -f
    zypper -vvv up
    The mirror brain redirection may also be pointing at an incomplete mirror in your locale, both samba-libs and python-talloc at the right versions installed here fine.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Unhappy Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by malcolmlewis View Post
    Hi and welcome to the Forum

    Use zypper and the command line..
    Code:
    zypper -vvv ref -f
    zypper -vvv up
    The mirror brain redirection may also be pointing at an incomplete mirror in your locale, both samba-libs and python-talloc at the right versions installed here fine.

    Thanks very much for the prompt reply and assistance,

    I executed the commands and tried the update but I'm still getting the same error as before.
    Anything else to try or do I just wait for change on the mirror in my location?

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,529
    Blog Entries
    15

    Default Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by GiddyGopher View Post
    Thanks very much for the prompt reply and assistance,

    I executed the commands and tried the update but I'm still getting the same error as before.
    Anything else to try or do I just wait for change on the mirror in my location?
    Hi
    Well it may/maynot, if you add more verbosity to the commands -vvvv or -vvvvv do you see the mirror you getting pointed at for the files?

    If you look at the following URL's do the same locations appear?
    http://download.opensuse.org/distrib...rpm.mirrorlist
    http://download.opensuse.org/distrib...rpm.mirrorlist
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5

    Default Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Well it may/maynot, if you add more verbosity to the commands -vvvv or -vvvvv do you see the mirror you getting pointed at for the files?

    If you look at the following URL's do the same locations appear?
    http://download.opensuse.org/distrib...rpm.mirrorlist
    http://download.opensuse.org/distrib...rpm.mirrorlist
    No, I'm sorry to say I don't see the mirrors in the output.

    Yes, when I look at those URL's I do see the same location.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,529
    Blog Entries
    15

    Default Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by GiddyGopher View Post
    No, I'm sorry to say I don't see the mirrors in the output.

    Yes, when I look at those URL's I do see the same location.
    Hi
    Hmmm, well if you go into YaST Software Repositories and select a mirror that's in your locale and use that and see how it goes, eg for here in the US I could change if from;


    http://download.opensuse.org/distribution/leap/42.3/repo/oss/

    to

    http://suse.mirrors.tds.net/pub/open...42.3/repo/oss/
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. #7

    Default Re: openSUSE 2017-987-1 Security update for Samba and Resource agents - Fails to install

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Hmmm, well if you go into YaST Software Repositories and select a mirror that's in your locale and use that and see how it goes, eg for here in the US I could change if from;


    http://download.opensuse.org/distribution/leap/42.3/repo/oss/

    to

    http://suse.mirrors.tds.net/pub/open...42.3/repo/oss/


    Everything is good again,
    thank you for your assistance good sir!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •